Subject: Re: bug#18616: nlinum error on multiple emacsclient instances

From: Joe M <[email-masked]>
Date: Sun, 4 Jan 2015 17:51:51 -0600

Hello Martin,

>  > I cannot start multiple emacsclient instances due to the below error:
>  >
>  > emacsclient -q --alternate-editor="" --create-frame init.el &
>  > [1] 30465
>  > *ERROR*: Invalid face: linum
>  > [1]  + 30465 exit 1     emacsclient -q --alternate-editor="" --create-frame init.el
>  >
>  > Multiple emacs instances work fine. This only happens when I try to
>  > open the second emacsclient instance.
>  >
>  > This is how I am using linum in my emacs configuration:
>  >
>  > (require 'nlinum)
>  > (nlinum-mode 1)
>  > ;; without the below line, line numbers do not show when using evil
>  > (add-hook 'find-file-hook 'nlinum-mode)
>  >
>  > nlinum-1.5 is the version of nlinum that I am using.
>  >
>  > https://lists.gnu.org/archive/html/emacs-devel/2014-09/msg00022.html
>  > seems to be a similar issue too.
> 
> Can you try again with current trunk/master?  It should work now, at
> least conceptually ...

Works like a charm. Thanks for the fix.

- Joe